import QtQuick 2.12
import QtQuick.Window 2.15
import QtQuick.Controls 2.15

Window {
    id: root
    visible: true
    title: qsTr("Hello World")
    width: 1280
    height: 720
    color: '#ffffff'//


    Rectangle {
        color: "blue"
        radius: 4

        opacity: 0.8

        height: 100

        anchors {
           bottom: parent.bottom
           left: parent.left
           right: parent.right
        }

        Text {
            id: buttonText
            text: "Click me"
            anchors.centerIn: parent
        }

        MouseArea {
            id: mouseArea
            anchors.fill: parent

            onClicked: {
                //console.log(MetaAPI.doSomething())
                console.log("clicked")

                // 1. Create a new XMLHttpRequest object
                let xhr = new XMLHttpRequest();

                // 4. This will be called after the response is received
                xhr.onload = function() {
                    console.log("onload", xhr.status, xhr.statusText)
                    if (xhr.status != 200) { // analyze HTTP status of the response
                        console.log(`Error ${xhr.status}: ${xhr.statusText}`); // e.g. 404: Not Found
                    } else { // show the result
                        console.log(xhr.response)
                    }
                };

                xhr.onprogress = function(event) {
                  console.log("onprogress")
                  if (event.lengthComputable) {
                    console.log(`Received ${event.loaded} of ${event.total} bytes`);
                  } else {
                    console.log(`Received ${event.loaded} bytes`); // no Content-Length
                  }
                };


                xhr.onerror = function(e) {
                    console.log("Request failed");
                    console.log(e);
                };

                // 2. Configure it: GET-request for the URL /article/.../load

                const url = 'https://api.github.com'
                console.log("open:", url)
                xhr.open('GET', url);

                // 3. Send the request over the network
                console.log("send")
                xhr.send();
            }
        }
    }
}
